Bug 61063 - cdda2wav doesn't work
cdda2wav doesn't work
Status: CLOSED WORKSFORME
Product: Red Hat Raw Hide
Classification: Retired
Component: cdrtools (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-12 17:13 EST by Tim Waugh
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-15 09:49:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2002-03-12 17:13:26 EST
Description of Problem:
I'm sure it _used_ to work on this very machine, but it doesn't now.

cdda2wav -D 1,0,0 -g -v2 -O wav -t 1 -S 1 -i 1 -P 0 -n 75 output.wav
(run from xcdroast or not) just hangs.  The IDE light is on.  During the index
scan, fragments of audio play.  Then it's just this:

index scan: 1...samplefile size will be 45687644 bytes.
recording 259.00000 seconds stereo with 16 bits @ 44100.0 Hz
->'/usr/local/share/music/.raw/track-01'...
child pid is 1973
percent_done:
  0%

And then nothing.  Strace shows it's stuck inside an ioctl on a file descriptor
associated with /dev/sg1, which is an ide-scsi front for my IDE CD-ROM drive.

Version-Release number of selected component (if applicable):
cdda2wav-1.10-11
Downgrading to cdda2wav-1.10-4 doesn't help, and neither does downgrading to an
Enigma kernel.

How Reproducible:
100%

Steps to Reproduce:
1. Run the command.

Additional Information:
cdparanoia works absolutely fine, and I'm _positive_ that cdda2wav used to work
on this machine. :-/
Comment 1 Mike A. Harris 2002-03-13 00:02:59 EST
Try downgrading to a previous version you're sure worked, such as the one
released with 7.1, or any other previous release.

Personally I use cdparanoia, however I just tried cdda2wav and it seems to
work ok for me.  It is possible our environments are not identical though.

I will look into it deeper though on other machines too.  If you could
strace/ltrace and attach results it could help too perhaps for comparison
with what I get here.
Comment 2 Tim Waugh 2002-03-15 09:49:39 EST
I wish that xcdroast used cdparanoia instead of cdda2wav. :-)

Strace shows it stuck here:

[...]
write(2, "percent_done:\n  0%", 18)     = 18
gettimeofday({1016203415, 196718}, NULL) = 0
ioctl(3, 0x2285

The ioctl (apparently 'SG_IO') never returns.

The machine next to me performs the same command without any trouble. :-/ 
Perhaps it's broken hardware.

Ah---(light bulb appears over head)---this is a _different_ (and older) CD-ROM
drive than the one that worked before!

Quite possibly cdda2wav has never worked with this drive before.  Still,
cdparanoia does work, so perhaps there is a bug here after all.
Comment 3 Mike A. Harris 2002-05-21 01:50:06 EDT
cdda2wav works fine with me, closing bug..  Assuming bad hardware.  I
prefer to use cdparanoia myself though too.

Note You need to log in before you can comment on or make changes to this bug.